diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-algorithm.h ns-3.43/src/lte/model/lte-ffr-algorithm.h
--- ns-3.42/src/lte/model/lte-ffr-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-distributed-algorithm.cc ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.cc
--- ns-3.42/src/lte/model/lte-ffr-distributed-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-distributed-algorithm.h ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.h
--- ns-3.42/src/lte/model/lte-ffr-distributed-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-distributed-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-enhanced-algorithm.cc ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.cc
--- ns-3.42/src/lte/model/lte-ffr-enhanced-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-enhanced-algorithm.h ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.h
--- ns-3.42/src/lte/model/lte-ffr-enhanced-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-enhanced-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-rrc-sap.cc ns-3.43/src/lte/model/lte-ffr-rrc-sap.cc
--- ns-3.42/src/lte/model/lte-ffr-rrc-sap.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-rrc-sap.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-rrc-sap.h ns-3.43/src/lte/model/lte-ffr-rrc-sap.h
--- ns-3.42/src/lte/model/lte-ffr-rrc-sap.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-rrc-sap.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-sap.cc ns-3.43/src/lte/model/lte-ffr-sap.cc
--- ns-3.42/src/lte/model/lte-ffr-sap.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-sap.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-sap.h ns-3.43/src/lte/model/lte-ffr-sap.h
--- ns-3.42/src/lte/model/lte-ffr-sap.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-sap.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-soft-algorithm.cc ns-3.43/src/lte/model/lte-ffr-soft-algorithm.cc
--- ns-3.42/src/lte/model/lte-ffr-soft-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-soft-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-ffr-soft-algorithm.h ns-3.43/src/lte/model/lte-ffr-soft-algorithm.h
--- ns-3.42/src/lte/model/lte-ffr-soft-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-ffr-soft-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-hard-algorithm.cc ns-3.43/src/lte/model/lte-fr-hard-algorithm.cc
--- ns-3.42/src/lte/model/lte-fr-hard-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-hard-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-hard-algorithm.h ns-3.43/src/lte/model/lte-fr-hard-algorithm.h
--- ns-3.42/src/lte/model/lte-fr-hard-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-hard-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-no-op-algorithm.cc ns-3.43/src/lte/model/lte-fr-no-op-algorithm.cc
--- ns-3.42/src/lte/model/lte-fr-no-op-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-no-op-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-no-op-algorithm.h ns-3.43/src/lte/model/lte-fr-no-op-algorithm.h
--- ns-3.42/src/lte/model/lte-fr-no-op-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-no-op-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-soft-algorithm.cc ns-3.43/src/lte/model/lte-fr-soft-algorithm.cc
--- ns-3.42/src/lte/model/lte-fr-soft-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-soft-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-soft-algorithm.h ns-3.43/src/lte/model/lte-fr-soft-algorithm.h
--- ns-3.42/src/lte/model/lte-fr-soft-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-soft-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-strict-algorithm.cc ns-3.43/src/lte/model/lte-fr-strict-algorithm.cc
--- ns-3.42/src/lte/model/lte-fr-strict-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-strict-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-fr-strict-algorithm.h ns-3.43/src/lte/model/lte-fr-strict-algorithm.h
--- ns-3.42/src/lte/model/lte-fr-strict-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-fr-strict-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Piotr Gawlowicz
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Piotr Gawlowicz <gawlowicz.p@gmail.com>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-handover-algorithm.cc ns-3.43/src/lte/model/lte-handover-algorithm.cc
--- ns-3.42/src/lte/model/lte-handover-algorithm.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-handover-algorithm.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-handover-algorithm.h ns-3.43/src/lte/model/lte-handover-algorithm.h
--- ns-3.42/src/lte/model/lte-handover-algorithm.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-handover-algorithm.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-handover-management-sap.cc ns-3.43/src/lte/model/lte-handover-management-sap.cc
--- ns-3.42/src/lte/model/lte-handover-management-sap.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-handover-management-sap.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-handover-management-sap.h ns-3.43/src/lte/model/lte-handover-management-sap.h
--- ns-3.42/src/lte/model/lte-handover-management-sap.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-handover-management-sap.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2013 Budiarto Herman
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Budiarto Herman <budiarto.herman@magister.fi>
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-harq-phy.cc ns-3.43/src/lte/model/lte-harq-phy.cc
--- ns-3.42/src/lte/model/lte-harq-phy.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-harq-phy.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-harq-phy.h ns-3.43/src/lte/model/lte-harq-phy.h
--- ns-3.42/src/lte/model/lte-harq-phy.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-harq-phy.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2012 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Marco Miozzo  <marco.miozzo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-interference.cc ns-3.43/src/lte/model/lte-interference.cc
--- ns-3.42/src/lte/model/lte-interference.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-interference.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-interference.h ns-3.43/src/lte/model/lte-interference.h
--- ns-3.42/src/lte/model/lte-interference.h	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-interference.h	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo <nbaldo@cttc.es>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/lte/model/lte-mac-sap.cc ns-3.43/src/lte/model/lte-mac-sap.cc
--- ns-3.42/src/lte/model/lte-mac-sap.cc	2024-05-29 15:29:47.116073600 -0700
+++ ns-3.43/src/lte/model/lte-mac-sap.cc	2024-10-09 16:41:10.040656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 Centre Tecnologic de Telecomunicacions de Catalunya (CTTC)
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Nicola Baldo  <nbaldo@cttc.es>
  */
